#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: QuickCheck
version: 2.7.6
id: QuickCheck-2.7.6-de04517ef3c8855331fb486f45769e19

license: BSD3
copyright: 2000-2014 Koen Claessen, 2006-2008 Björn Bringert, 2009-2014 Nick Smallbone
maintainer: QuickCheck developers <quickcheck@projects.haskell.org>
stability:
homepage: https://github.com/nick8325/quickcheck
package-url:
synopsis: Automatic testing of Haskell programs
description: QuickCheck is a library for random testing of program properties.
             .
             The programmer provides a specification of the program, in
             the form of properties which functions should satisfy, and
             QuickCheck then tests that the properties hold in a large number
             of randomly generated cases.
             .
             Specifications are expressed in
             Haskell, using combinators defined in the QuickCheck library.
             QuickCheck provides combinators to define properties, observe
             the distribution of test data, and define test
             data generators.
category: Testing
author: Koen Claessen <koen@chalmers.se>
exposed: True
exposed-modules: Test.QuickCheck Test.QuickCheck.Arbitrary
                 Test.QuickCheck.Gen Test.QuickCheck.Gen.Unsafe
                 Test.QuickCheck.Monadic Test.QuickCheck.Modifiers
                 Test.QuickCheck.Property Test.QuickCheck.Test Test.QuickCheck.Text
                 Test.QuickCheck.Poly Test.QuickCheck.State Test.QuickCheck.Random
                 Test.QuickCheck.Exception Test.QuickCheck.Function
                 Test.QuickCheck.All
hidden-modules:
trusted: False
import-dirs: /usr/lib/ghc-7.8.4/site-local/QuickCheck-2.7.6
library-dirs: /usr/lib/ghc-7.8.4/site-local/QuickCheck-2.7.6
hs-libraries: HSQuickCheck-2.7.6
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.7.0.2-bfd89587617e381ae01b8dd7b6c7f1c1
         random-1.0.1.1-f5e39e87d4396852de56e00e7e42ee65
         template-haskell-2.9.0.0-6d27c2b362b15abb1822f2f34b9ae7f9
         tf-random-0.4-1287a9899463593bdf29d9802930b20c
         transformers-0.3.0.0-6458c21515cab7c1cf21e53141557a1c
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/haskell-quickcheck/html/QuickCheck.haddock
haddock-html: /usr/share/doc/haskell-quickcheck/html
' | '/usr/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
